Tout ce qui concerne internet
Répondre

Version antérieure de waterfox-bin [AUR]

#1Messageil y a 1 mois

Bonjour,
En installant la totale-manjaro sur le nouveau laptop de ma fille, je souhaite rétrograder waterfox qui comme firefox, sa nouvelle version n'est plus compatible avec TabMixPlus et cette extension est bien trop pratique pour y renoncer.
Sur mon laptop, même après màj, cette extension y figure toujours...
(je me demande pourquoi on supprime de bonnes extensions telle que celle-ci ?)
Quelqu'un pourait m'aider ?
Merci.

Version antérieure de waterfox-bin [AUR]

#2Messageil y a 1 mois

bonjour,

pas une bonne idée, le navigateur web sont sensibles et ont souvent des mises à jour de sécurité.

Personne n'a supprimé une quelconque extension :wink: simplement FF à changé le format de ces extensions, il fallait donc aux développeurs de les ré-écrire, ils avaient plus d'un an pour le faire... l'auteur à alors écrit 2 extensions tabmix avec moins de fonctionnalités

Version antérieure de waterfox-bin [AUR]

#3Messageil y a 1 mois

:bjr:
bonjour,
Il y a longtemps que je n'ai pas rétrogradé de paquets mais il faut dans un 1er temps installer le
paquet downgrade par

sudo pacman -S downgrade
ensuite tu tapes dans un terminal :

sudo DOWNGRADE_FROM_ALA=1 downgrade firefox
a adapter suivant ce que tu recherches.Juste un bémol .... suis pas sûr que ça fonctionne pour les
paquets AUR.
A tester

EDIT :

Zut .... grillé par @papajoke !!! tu devrais plutôt suivre ses conseils que les miens ! Comme il le dit c'est peut-être pas le top de rétrograder un navigateur web !!! :desole:

Version antérieure de waterfox-bin [AUR]

#4Messageil y a 1 mois

oui, downgrade ne fonctionne que avec les dépots archlinux : ni manjaro(si pas en local), ni aur
Sur le site de aur, nous avons l'historique du dépot ("voir les changements") donc nous pouvons retrouver une ancienne recette , elle fonctionnera uniquement si les "sources" sont encore présentes

pour les extensions, tous les utilisateurs firefox ont eu ce même problème il y a un an ...
106629

Version antérieure de waterfox-bin [AUR]

#5Messageil y a 1 mois

:bjr:
salut Papajoke.
papajoke a écrit :
il y a 1 mois
oui, downgrade ne fonctionne que avec les dépots archlinux : ni manjaro(si pas en local), ni aur
Sur le site de aur, nous avons l'historique du dépot ("voir les changements") donc nous pouvons retrouver une ancienne recette , elle fonctionnera uniquement si les "sources" sont encore présentes
C'est bien ce que je pensais !
En tout cas Merci à toi pour ces précisions !!
:merci::merci:

Version antérieure de waterfox-bin [AUR]

#6Messageil y a 1 mois

J'ai aussi perdu dans cette histoire d’extensions obsolètes DownThemAll !!
C'est vraiment dommage je l'aimais bien !
Mais il n'y a peut-être plus personne pour la maintenir ?? :saispas::saispas:
:desole:

Version antérieure de waterfox-bin [AUR]

#7Messageil y a 1 mois

Merci à vous deux pour ces précisions.
papajoke a écrit :
il y a 1 mois
pour les extensions, tous les utilisateurs firefox ont eu ce même problème il y a un an ...
Oui papajoke, c'est pourquoi je naviguais avec waterfox et non FF, sur mon ordi, même après la dernière màj de WF, j'ai toujours tabmix et c'est juste là en installant sur le pc de ma fille qui est tout neuf, que je constate que WF est aussi passé à une version sans tabmix...
Dommage.
En tous les cas merci.

Version antérieure de waterfox-bin [AUR]

#8Messageil y a 1 mois

Salut,

Waterfox est basé sur Firefox ESR (longue durée), qui était donc une version ancienne, la dernière mise à jour de la version ESR est une version plus récente donc incompatible avec les anciennes extensions.

Je vois que l'auteur de Tabmix dit travailler sur le nouveau format d'extension et propose une version 0.1.0 :
https://addons.mozilla.org/fr/firefox/a ... extension/

Version antérieure de waterfox-bin [AUR]

#9Messageil y a 1 mois

Merci Smurf.
Oui j'avais déjà cette extension sur FF, bien plus limitée que tabmixplus, mais effectivement c'est toujours bon à prendre. :sourire:

Répondre